org.eclipse.net4j.util.ui.views

## Class ContainerItemProvider.SlowElement

- java.lang.Object
- - org.eclipse.net4j.util.ui.views.ContainerItemProvider.SlowElement

- Direct Known Subclasses:
    ContainerItemProvider.LazyElement
  Enclosing class:
    ContainerItemProvider<CONTAINER extends IContainer<Object>>

      public static class ContainerItemProvider.SlowElement
      extends Object

  Since:
    3.5
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SlowElement(IContainer<Object> container, String text)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IContainer<Object>` | `getContainer()`
    `String` | `getText()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SlowElement

          public SlowElement(IContainer<Object> container,
                             String text)

  - ### Method Detail

    - #### getContainer

          public final IContainer<Object> getContainer()

    - #### getText

          public final String getText()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html